complexType "ExerciseNotice"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference, exerciseNoticePartyReference?, businessCenter
</...>

Content Model Elements (3):

  businessCenter (defined in ExerciseNotice complexType), exerciseNoticePartyReference, | partyReference (defined in ExerciseNotice complexType)

All Direct / Indirect Based Elements (4):

  exerciseNotice (defined in OptionalEarlyTermination complexType),
  exerciseNotice (in cancelableProvision),
  exerciseNotice (in extendibleProvision),
  exerciseNotice (in manualExercise defined in ExerciseProcedure complexType)

Known Usage Locations

- As direct type of elements (4):
  exerciseNotice (defined in OptionalEarlyTermination complexType),
  exerciseNotice (in cancelableProvision),
  exerciseNotice (in extendibleProvision),
  exerciseNotice (in manualExercise defined in ExerciseProcedure complexType)

Annotation
A type defining to whom and where notice of execution should be given. The partyReference refers to one of the principal parties of the trade. If present the exerciseNoticePartyReference refers to a party, other than the principal party, to whome notice should be given.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExerciseNotice"> <xsd:sequence> <xsd:element name="partyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="exerciseNoticePartyReference" type="PartyReference"/> <xsd:element name="businessCenter" type="BusinessCenter"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
businessCenter

  Type: | BusinessCenter, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="businessCenter" type="BusinessCenter"/>

exerciseNoticePartyReference

  Type: | PartyReference, empty content

  The party referenced is the party to which notice of exercise should be given by the buyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseNoticePartyReference" type="PartyReference"/>

partyReference

  Type: | PartyReference, empty content

  The party referenced has allocated the trade identifier.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="partyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.